import request from '@/utils/request'

// 查询媒体类型列表
export function listMtlx(query) {
  return request({
    url: '/tcZz/netWorkYq/mtlx/list',
    method: 'get',
    params: query
  })
}

// 查询媒体类型详细
export function getMtlx(id) {
  return request({
    url: '/tcZz/netWorkYq/mtlx/' + id,
    method: 'get'
  })
}

// 新增媒体类型
export function addMtlx(data) {
  return request({
    url: '/tcZz/netWorkYq/mtlx',
    method: 'post',
    data: data
  })
}

// 修改媒体类型
export function updateMtlx(data) {
  return request({
    url: '/tcZz/netWorkYq/mtlx',
    method: 'put',
    data: data
  })
}

// 删除媒体类型
export function delMtlx(id) {
  return request({
    url: '/tcZz/netWorkYq/mtlx/' + id,
    method: 'delete'
  })
}
//通用导入信息
export function importMtlx(data) {
  return request({
    url: '/tcZz/netWorkYq/mtlx/common/importExcel',
    method: 'post',
    data
  })
}